Skip to content

This portion of the API provides endpoints for managing prescriptions.

Servers​

https://api.ezyvet.comezyVet production environment
https://api.trial.ezyvet.comezyVet trial environment

Post an external prescription​

POST
/v1/externalprescription

Create a new external prescription record.

Authorizations​

bearerAuth
clientCredentials Flow
Token URL"https://api.ezyvet.com/v1/oauth/access_token"
Scopes:
  • "write-externalprescription"Create and update external prescription resources

Request Body​

application/json
JSON
{
  
"animal_id": 0,
  
"consult_id": 0,
  
"contact_id": 0,
  
"prescribing_vet_user_id": 0,
  
"date_of_prescription": 0,
  
"date_of_lastdispense": 0,
  
"external_reference": "string",
  
"total_price": 0,
  
"external_prescription_item_list": [
  
  
{
  
  
  
"external_product_name": "string",
  
  
  
"external_product_reference": "string",
  
  
  
"external_link": "string",
  
  
  
"instructions": "string",
  
  
  
"date_of_lastdispense": "1764277366",
  
  
  
"price": 0,
  
  
  
"qty": 0,
  
  
  
"remaining": 0
  
  
}
  
]
}

Responses​

Success

application/json
JSON
{
  
"meta": {
  
  
"transaction_id": "string",
  
  
"timestamp": "string"
  
},
  
"items": [
  
],
  
"messages": [
  
  
{
  
  
  
"level": "string",
  
  
  
"type": "string",
  
  
  
"text": "string",
  
  
  
"fields": {
  
  
  
  
"prescription_uid": "string"
  
  
  
}
  
  
}
  
]
}

Samples​


Fetch a list of Prescriptions​

GET
/v1/prescription

Fetches a list containing Prescriptions (up to 10).

Authorizations​

bearerAuth
clientCredentials Flow
Token URL"https://api.ezyvet.com/v1/oauth/access_token"
Scopes:
  • "read-prescription"Read prescription resources

Parameters​

Query Parameters

id

The ID number used by the system to uniquely identify a Prescription.

Type
string
active

If true, the Prescription is active and usable in ezyVet.

Type
string
created_at

The epoch time when the Prescription was created.

Type
string
modified_at

The epoch time when the Prescription was last modified.

Type
string
animal_id

The name of the Animal to which the Prescription was issued.

Type
string
consult_id

The name of the Consult to which the Prescription was issued.

Type
string
prescribing_vet_user

The name of the User (a vet) who issued the Prescription.

Type
string
date_of_prescription

The epoch time when the Prescription was issued. This is not necessarily when the Prescription record was created.

Type
string

Responses​

Successful response

application/json
JSON
{
  
"meta": {
  
  
"timestamp": "string",
  
  
"items_page": "string",
  
  
"items_page_total": "string",
  
  
"items_page_size": "string",
  
  
"items_total": "string"
  
},
  
"items": [
  
  
{
  
  
  
"prescription": {
  
  
  
  
"id": "string",
  
  
  
  
"active": "string",
  
  
  
  
"created_at": "string",
  
  
  
  
"modified_at": "string",
  
  
  
  
"animal_id": "string",
  
  
  
  
"consult_id": "string",
  
  
  
  
"prescribing_vet_user_id": "string",
  
  
  
  
"date_of_prescription": "string",
  
  
  
  
"prescription_item_list": [
  
  
  
  
  
0
  
  
  
  
]
  
  
  
}
  
  
}
  
],
  
"messages": [
  
  
"string"
  
]
}

Samples​


Fetches a list of PrescriptionItems​

GET
/v1/prescriptionitem

Authorizations​

bearerAuth
clientCredentials Flow
Token URL"https://api.ezyvet.com/v1/oauth/access_token"
Scopes:
  • "read-prescriptionitem"Read prescription item resources

Parameters​

Query Parameters

id

The ID number used by the system to uniquely identify an PrescriptionItem.

Type
string
active

If true, the PrescriptionItem is active and usable in ezyVet.

Type
string
created_at

The epoch time when the PrescriptionItem was created.

Type
string
modified_at

The epoch time when the PrescriptionItem was last modified.

Type
string
prescription_id

Refers to the ID of the Prescription to which the PrescriptionItem belongs.

Type
string
product_id

Refers to the ID of the Product added to the Prescription as a PrescriptionItem.

Type
string
qty

The amount of the PrescriptionItem prescribed.

Type
string
remaining

The amount of the PrescriptionItem remaining from the prescription.

Type
string
instructions

Instructions on how to use the PrescriptionItem.

Type
string
date_start

The epoch time when the PrescriptionItem must start being taken.

Type
string
serial_number

The serial number for PrescriptionItem.

Type
string

Responses​

A list of PrescriptionItems with meta information.

application/json
JSON
{
  
"meta": {
  
  
"timestamp": "string",
  
  
"items_page": "string",
  
  
"items_page_total": "string",
  
  
"items_page_size": "string",
  
  
"items_total": "string"
  
},
  
"items": [
  
  
{
  
  
  
"prescriptionitem": {
  
  
  
  
"id": "string",
  
  
  
  
"active": "string",
  
  
  
  
"created_at": "string",
  
  
  
  
"modified_at": "string",
  
  
  
  
"prescription_id": "string",
  
  
  
  
"product_id": "string",
  
  
  
  
"qty": "string",
  
  
  
  
"remaining": "string",
  
  
  
  
"instructions": "string",
  
  
  
  
"date_start": "string",
  
  
  
  
"serial_number": "string"
  
  
  
}
  
  
}
  
],
  
"messages": [
  
]
}

Samples​


Therapeutic​


Fetch a Therapeutic list​

GET
/v1/therapeutic

Fetches a list containing Therapeutic(s). (up to 10)

Authorizations​

bearerAuth
clientCredentials Flow
Token URL"https://api.ezyvet.com/v1/oauth/access_token"
Scopes:
  • "read-therapeutic"Read therapeutic resources

Parameters​

Query Parameters

id
Type
string
active
Type
string
created_at
Type
string
modified_at
Type
string
name
Type
string
default_template_id
Type
string
Default
0
department_ids
Type
array

Responses​

Successful response

application/json
JSON
{
  
"meta": {
  
  
"timestamp": "string",
  
  
"items_page": "string",
  
  
"items_page_total": "string",
  
  
"items_page_size": "string",
  
  
"items_total": "string"
  
},
  
"items": [
  
  
{
  
  
  
"therapeutic": {
  
  
  
  
"id": "string",
  
  
  
  
"active": "string",
  
  
  
  
"created_at": "string",
  
  
  
  
"modified_at": "string",
  
  
  
  
"name": "string",
  
  
  
  
"default_template_id": "string",
  
  
  
  
"department_ids": [
  
  
  
  
  
"string"
  
  
  
  
]
  
  
  
}
  
  
}
  
],
  
"messages": [
  
]
}

Samples​


Powered by VitePress OpenAPI